package jumapacelaya.gob.mx.cobranza.repositorio;

import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class CobranzaRepositorio {

    /*public int obtenerTotalPredios() {
        String query = "SELECT COUNT(*) AS TotalPredios FROM cobranza.tblcarteravencida";
        try (Connection connection = dataSource.getConnection();
            PreparedStatement stmt = connection.prepareStatement(query);
            ResultSet rs = stmt.executeQuery()) {

            if (rs.next()) {
                return rs.getInt("TotalPredios");
            } else {
                return 0;
            }

        } catch (Exception e) {
            throw new RuntimeException("Error al obtener total de predios en cartera vencida", e);
        }
    }*/

}
